# __gnu_cxx::_Rope_Concat_fn< _CharT, _Alloc > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Rope_Concat_fn< _CharT, _Alloc >:

List of all members.

## Detailed Description

### template<class _CharT, class _Alloc>
struct __gnu_cxx::_Rope_Concat_fn< _CharT, _Alloc >

Definition at line 420 of file rope.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- rope< _CharT, _Alloc > operator() (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)

## Member Typedef Documentation

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 117 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type `[inherited]`

type of the return type

Reimplemented in std::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 121 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this struct was generated from the following file:

- rope